Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451680 - X crashes when turning off dual monitor mode
Summary: X crashes when turning off dual monitor mode
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 9
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-16 17:18 UTC by Andrea Dell'Amico
Modified: 2018-04-11 12:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 17:43:50 UTC


Attachments (Terms of Use)
X log from the crash (deleted)
2008-06-16 17:18 UTC, Andrea Dell'Amico
no flags Details

Description Andrea Dell'Amico 2008-06-16 17:18:42 UTC
Description of problem:

After the update to xorg-x11-server-Xorg version 1.4.99.902-3.20080612.fc9.i386,
the X session crashes when exiting from dual monitor mode

Version-Release number of selected component (if applicable):

1.4.99.902-3.20080612.fc9.i386

How reproducible: Always


Steps to Reproduce:
1. Turn on dual monitor mode (with xrandr, or using the "screen resolution"
application)
2. Do your stuff
3. Turn off dual monitor mode (with xrandr, or using the "screen resolution"
application)

X crashes immediately, and go back to the gdm prompt.  

Additional info: I have an intel card, 945GM. No compiz or metacity+compose,
gnome desktop.

Comment 1 Andrea Dell'Amico 2008-06-16 17:18:42 UTC
Created attachment 309519 [details]
X log from the crash

Comment 2 Matěj Cepl 2008-06-16 19:53:12 UTC
yup

Comment 3 Angel Marin 2008-06-20 11:43:56 UTC
Same here with a intel GMA X3100 card (dell XPS M1330 laptop). We see it while
enabling either VGA or HDMI outputs, any resolution, with xrandr or gnome applet.

Downgrading xorg-x11-server-Xorg to 1.4.99.901-29.20080415.fc9.x86_64 makes it
work again.

Comment 4 Andrea Dell'Amico 2008-06-20 12:38:43 UTC
I can confirm that a downgrade eliminates the crash.



Comment 5 Andrea Dell'Amico 2008-07-03 20:32:07 UTC
With xorg-x11-server-Xorg-1.4.99.905-1.20080701 from updates-testing, it still
crashes the same way.

Comment 6 John Dennis 2008-07-22 22:08:57 UTC
I'm seeing a similar problem, server crashes when using xrandr. server version is:
xorg-x11-server-common-1.4.99.905-1.20080701.fc9.i386. There seems to be at
least 3 bug reports open on xrandr crashing the server (bug 451328, bug 451486,
and this one), not sure if they are dups or not but switching displays is not
fun when you lose all your session apps.


Comment 7 Angel Marin 2008-09-18 16:07:15 UTC
xorg-x11-server-Xorg-1.5.0-1.fc9.x86_64 seems to have fixed this here.

Comment 8 Andrea Dell'Amico 2008-09-24 08:12:30 UTC
Same here, for i386.

Comment 9 Bug Zapper 2009-06-10 01:39:19 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2009-07-14 17:43:50 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.